#### D.6.21.6 qhmatrix

Procedure from library `spcurve.lib` (see spcurve_lib).

Usage:
  qhmatrix(M); M a k x (k+1) matrix

Return:
  list, consisting of an integer vector containing the weights of the variables of the basering and an integer matrix giving the weights of the entries of M, if M is quasihomogeneous; zero integer vector and zero integer matrix, if M is not quasihomogeneous, i.e. does not allow row and column weights

Example:

    LIB "spcurve.lib";
    ring r=0,(x,y,z),ds;
    matrix M[3][2]=z,0,y,x,x^3,y;
    qhmatrix(M);
    ==> [1]:
    ==>    1,2,1
    ==> [2]:
    ==>    1,0,
    ==>    2,1,
    ==>    3,2
    pmat(M);
    ==> z,  0,
    ==> y,  x,
    ==> x3, y

User manual for Singular version 4.4.1, 2025, generated by texi2html.